html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
margin: 0;
padding: 0;
border: 0;
font-size: 100%;
font: inherit;
vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
display: block;
}
body {
line-height: 1;
}
ol, ul {
list-style: none;
}
blockquote, q {
quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
content: '';
content: none;
}
table {
border-collapse: collapse;
border-spacing: 0;
}


body{
	font-family: "Catamaran";
	background:#eee;
}


h1,h2,h3,h4,h5,h6{
	font-family: "Lato";
}


.element{
	display: flex;
	justify-content: space-between;
	margin-bottom: 20px;
}


.calculator{
	padding-left: 20px;
	padding-right: 20px;
	box-sizing:border-box;
}


table{
	width:100%;
	text-align: center;
	margin-bottom: 10px;
font-family: "Lato";
}
table td{
	border:1px solid #333;
	padding: 5px;
}
table td:nth-child(1){
	text-align: left;
}
table th{
	font-weight: bold;
}
select{
	
	text-align-last: center;
	
}

input{
	
	text-align: center;
	
}

select{
  font-family: "Catamaran", sans-serif;
    background: #ccc;
    width: 58%;
    border: 0;
    padding: 10px;
    box-sizing: border-box;
    font-size: 14px;
    transition: all ease 0.3s;
}
select:hover{
  background: #ddd;
}
select:focus{
  background: #ddd;
}

label{
	
}


.login-page {
  width: 360px;
  padding: 8% 0 0;
  margin: auto;
}
.form {
  position: relative;
  z-index: 1;
  background: #FFFFFF;
  max-width: 360px;
  margin-top:40px;
  padding: 38px;
  text-align: center;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
}
input {
  font-family: "Catamaran", sans-serif;
 
  background: #ccc;
  width: 100%;
  border: 0;
  padding: 10px;
  box-sizing: border-box;
  font-size: 14px;

  transition: all ease 0.3s;
}
.form input{
  box-shadow:inset 0px 0px 5px 2px #aaa;
  margin:0 0 15px;
}
.form input:hover{
  box-shadow:inset 0px 0px 5px 2px #a46ed0;
}
.form input:focus{
  box-shadow:inset 0px 0px 5px 2px #a46ed0;
}

input:hover {
  background:#ddd; 
  
}

input:focus {
  background:#ddd; 
  
}
.form button{
  padding: 15px;
}
button {
  font-family: "Catamaran", sans-serif;
  text-transform: uppercase;
  outline: 0;
  background: #542e90;
  width: 100%;
  border: 0;
  padding: 10px;
  color: #FFFFFF;
  font-size: 14px;
  transition:all ease 0.3s;
  -webkit-transition: all 0.3 ease;
  transition: all 0.3 ease;
  cursor: pointer;
}
button:hover,button:active,button:focus {
  background: #a46ed0;
}
.form .message {
  margin: 15px 0 0;
  color: #b3b3b3;
  font-size: 12px;
}
.form .message a {
  color: #4CAF50;
  text-decoration: none;
}
.form .register-form {
  display: none;
}
.container {
  position: relative;
  z-index: 1;
  max-width: 300px;
  margin: 0 auto;
}
.container:before, .container:after {
  content: "";
  display: block;
  clear: both;
}
.container .info {
  margin: 50px auto;
  text-align: center;
}
.container .info h1 {
  margin: 0 0 15px;
  padding: 0;
  font-size: 36px;
  font-weight: 300;
  color: #1a1a1a;
}
.container .info span {
  color: #4d4d4d;
  font-size: 12px;
}
.container .info span a {
  color: #000000;
  text-decoration: none;
}
.container .info span .fa {
  color: #EF3B3A;
}

h1{
  font-size: 24px;
}
.elementrow{
  display: flex;
  flex-direction: row;
}


.twocolumnflex{
display: flex;
flex-direction: row;

margin-top:8px;
margin-bottom: 8px;
flex-wrap: wrap;
justify-content: space-between;

}
.twocolumn{
  width: 47%;

  margin-top:5px;
  margin-bottom:5px;
  display: flex;
  justify-content: space-between;
 
}

.calculatorbase{
  display: flex;
  height:100vh;
  
}

.calculator{
  background: #fff;
vertical-align: middle;
margin: auto;
padding:30px;
max-width: 80%;
box-shadow: 0px 0px 8px 1px #aaa;
}

.blocked{
  width: 200px;
  background: #ccc;
  display: block;
  padding: 10px;
 
  text-align: center;
  
}
.tickboxgroup{
display: flex;
justify-content: space-between;
flex-wrap: wrap;
}

.tickboxgroup2{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  width: 55%;
  }
.tickboxsubgroup{
width:19%;
min-width: 100px;

}

.tickboxsubgroup2{
  width:49%;
  min-width: 100px;
  
  }
 
.tickboxcontainer{
display: flex;
margin-top:8px;
margin-bottom: 8px;
}
.tickboxcontainer label{
  width: 100%;
  background: #ccc;
  display: block;
  padding: 8px;
 font-size:15px;
  text-align: left;
  min-height: 20px;
  transition: all ease 0.3s;
  border-radius: 0px;
  border: none;

}
.tickboxcontainer label:hover{
  background: #440e70!important;
  color:#fff!important;
  border: none!important;
}
.ui-state-active{
  background: #542e90!important;
  color:#fff!important;
  border: none!important;
}
.ui-state-active:hover{
  background: #440e70!important;
  color:#fff!important;
  border: none!important;
}

.tickboxcontainer input[type="checkbox"]{
  margin-top: auto;
  margin-bottom: auto;
}

.element input {
  
  background: #ccc;
  border: none;
  transition: all ease 0.3s;
}

.element input:hover {
  background:#ddd;
 
}

.element input:focus {
  background:#ddd; 

}

.page{
 
}

#page0{

}
@media screen and (max-width: 1200px) {
  .calculator{
    max-width: 90%;
      }
}

@media screen and (max-width: 1000px) {


  .twocolumn{
width: 100%;
  }
  .calculator{
max-width: 100%;
  }

}


.referancecodecontainer{
  display: flex;
  flex-wrap: wrap;justify-content: space-between;
}


.referancecodecontainer table{
font-size:12px;
}

.referancecodecontainer th{
  background: #ccc;
  font-weight: normal;
  border: 2px solid #fff;
  padding: 4px;
}
  


#page0 input{
  padding: 8px;
transition: all ease 0.3s;
width: 45%;
}

#page0 label{
  font-size: 21px;
}

#page0 input:hover{
  

}

#page0 input:focus{
  

}




button{
background: #542e90;
}

#page0{
  min-width: 600px
}

.flexsubcontainer{
  width: 48%;

}
.element2{
  display: flex;
  justify-content: space-between;
  margin-top:5px;
  margin-bottom: 5px;
}
.element2 label{
  width: 40%;
}
.element2 input{
  width: 58%;
}

.element3{
  display: flex;
  justify-content: space-between;
  margin-top:5px;
  margin-bottom: 5px;
}
.element3 label{
  width: 40%;
}
.element3 input{
  width: 48%;
}
@media screen and (max-width: 1000px) {
  #page0{
    min-width: 400px
  }

  .flexsubcontainer{
    width: 100%;
    
  }

  .blocked{
    width: 60%;
  }

  

}


.resulttable{

}

.resulttable td{
  background: #ccc;
  font-weight: normal;
  border: 2px solid #fff;
  padding: 4px;
}

.consumables{
  display:flex;flex-direction:column;
  padding-top:4px;
}

.consumablerow{
  display:flex;flex-direction:row;
  background: #ddd;
  margin-top: 3px;
  margin-bottom: 3px;
}

.consumableitem {
padding: 6px;
background: #ccc;

display: block;

margin-right: 4px;
}

@media screen and (max-width: 600px) {
  #page0{
    min-width: 200px
  }
  .tickboxsubgroup{
    width: 100%;
  }
  .tickboxsubgroup2{
    width: 100%;
  }
  .tickboxgroup2{
    width:100%;
  }

  .calculator{
    padding: 10px;
  }
  h1{
    font-size:18px;
  }
}


.button2{
  background: #F2FF80;
  width: 30%;
  margin-top:10px;
  margin-bottom:10px;
  color:#333;
}
.button2:hover{
 background: #d2dF60;
}

#page1b .tickboxsubgroup{
  width:24%;
}

.edititem{
  background:#542E90 ;
  transition:all ease 0.3s;
  font-weight: bold;
  color:#fff;
}

.edititem:hover{
  background:#744Eb0 ;
}

#overlay{
  position:fixed;

top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
background-color:rgba(100,100,100,0.3);
z-index: 99;
backdrop-filter: blur(0.7px);

}


.dialog{
  position: fixed; top: 32%; left: 33%; z-index: 999; background:#fff;box-shadow:0px 0px 2px 1px #888;padding:20px;display: none;
}
.dialog2{
  position: fixed; top: 32%; left: 33%; z-index: 999; background:#fff;box-shadow:0px 0px 2px 1px #888;padding:20px;display: none;
}

@media screen and (max-width: 1200px) {
  .dialog{
left: 36%;
  }
  .dialog2{
    left: 35%;
      }
}
@media screen and (max-width: 1100px) {
  .dialog{
left: 33%;
  }
  .dialog2{
    left: 31%;
      }
}
@media screen and (max-width: 1000px) {
  .dialog{
    left: 31%;
  }
  .dialog2{
    left: 28%;
      }
}
@media screen and (max-width: 900px) {
  .dialog{
left: 29%;
  }
  .dialog2{
    left: 25%;
      }
}
@media screen and (max-width: 800px) {
  .dialog{
    left: 27%;
  }
  .dialog2{
    left: 22%;
      }
}
@media screen and (max-width: 700px) {
  .dialog{
left: 20%;
  }
  .dialog2{
    left: 14%;
      }
}
@media screen and (max-width: 600px) {
  .dialog{
    left: 15%;
  }
  .dialog2{
    left: 10%;
      }
}
@media screen and (max-width: 500px) {
  .dialog{
    left: 10%;
  }
  .dialog2{
    width: auto!important;
    left: 5px;
    right: 5px;
      }
}
@media screen and (max-width: 400px) {
  .dialog{
    width: auto!important;
    left: 5px;
    right: 5px;
  }
}
@media screen and (max-width: 200px) {

}